GDB (xrefs)

Macros | Functions
py-evts.c File Reference
`#include "defs.h"`
`#include "py-events.h"`
`#include "py-all-events.def"`

Go to the source code of this file.

## Macros
#define | GDB_PY_DEFINE_EVENT(name)

## Functions
static int CPYCHECKER_NEGATIVE_RESULT_SETS_EXCEPTION | add_new_registry (eventregistry_object **registryp, const char *name)
int | gdbpy_initialize_py_events (void)

## Macro Definition Documentation

## ◆ GDB_PY_DEFINE_EVENT

#define GDB_PY_DEFINE_EVENT | ( |  | name | ) |

Value:
if (add_new_registry (&gdb_py_events.name, #name) < 0) \
return -1;
name
const char *const name
Definition: aarch64-tdep.c:76
add_new_registry
static int CPYCHECKER_NEGATIVE_RESULT_SETS_EXCEPTION add_new_registry(eventregistry_object **registryp, const char *name)
Definition: py-evts.c:41
gdb_py_events
events_object gdb_py_events
Definition: py-evtregistry.c:25

## Function Documentation

## ◆ add_new_registry()

static int CPYCHECKER_NEGATIVE_RESULT_SETS_EXCEPTION add_new_registry | ( | eventregistry_object ** | registryp,
|  | const char * | name
| ) |  |
| static

Definition at line 41 of file py-evts.c.

References create_eventregistry_object(), gdb_py_events, gdb_pymodule_addobject(), events_object::module, and name.

## ◆ gdbpy_initialize_py_events()

int gdbpy_initialize_py_events | ( | void |  | ) |

Definition at line 54 of file py-evts.c.

References gdb_module, gdb_py_events, gdb_pymodule_addobject(), and events_object::module.

Referenced by do_start_initialization().